## c5da191d0af2.tar.gz

=== Makefile ===
PYTHON=python

.PHONY: tests

PREFIX=/usr/local

help:
	@echo 'Commonly used make targets:'
	@echo '  local          - build for inplace use'
	@echo '  install        - install program and man pages to PREFIX ($(PREFIX))'
	@echo '  clean          - remove files created by other targets'
	@echo '                   (except installed files or dist source tarball)'

local:
	$(PYTHON) setup.py \
	  build_py -c -d . \
	  build_clib \
	  build_ext -i \
	  build_rust_ext -i

install:
	$(PYTHON) setup.py $(PURE) install --prefix="$(PREFIX)" --force

clean:
	-$(PYTHON) setup.py clean --all clean_ext # ignore errors from this command

deb:
	contrib/builddeb

=== cdatapack/Makefile ===
LDFLAGS=-llz4

cdatapack_dump: cdatapack_dump.o cdatapack.o

.o.c:

=== linelog/Makefile ===
.PHONY: all clean

CFLAGS ?= -std=c99 -O2 -Wall -Wextra -Wconversion -pedantic -g

all: linelogcli

linelogcli: linelogcli.c linelog.c linelog.h
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $<

clean:
	rm -f linelogcli

=== contrib/debian/changelog ===
remotefilelog (__VERSION__) unstable; urgency=medium

  * Automated build performed by upstream.

 -- Mercurial Devel <mercurial-devel@mercurial-scm.org>  __DATE__

=== contrib/debian/control ===
Source: remotefilelog
Section: vcs
Priority: optional
Maintainer: Durham Goode <durham@fb.com>
Build-Depends:
 debhelper (>= 7),
 dh-python,
 python-all,
 python-all-dev,
 liblz4-dev,
 cython
Standards-Version: 3.9.4
X-Python-Version: >= 2.6

Package: remotefilelog
Depends:
 python,
 ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends},
 liblz4-1,
 python-lz4
Enhances: mercurial
Breaks: mercurial (<< 3.5)
Architecture: any
Description: allows Mercurial to clone shallow copies of a repository and
 load files on demand.
 .
 The remotefilelog extension allows Mercurial to clone shallow copies
 of a repository such that all file contents are left on the server
 and only downloaded on demand by the client. This greatly speeds up
 clone and pull performance for repositories that have long histories
 or that are growing quickly.

=== contrib/debian/rules ===
#!/usr/bin/make -f
#
# uncomment the next line for verbose mode
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_clean:
	python$(PYVERS) setup.py clean --all --component remotefilelog,githelp,backups,absorb,morestatus,nointerrupt,sigtrace,chistedit

override_dh_auto_install:
	python$(PYVERS) setup.py install --root $(CURDIR)/debian/remotefilelog --install-layout=deb --component remotefilelog,githelp,backups,absorb,morestatus,nointerrupt,sigtrace,chistedit
	find $(CURDIR)/debian/remotefilelog -name '*.egg-info' -delete
	# Explicitly remove the hgext3rd/__init__.py file from the place where we're
	# staging the files for build.  Mercurial provides
	# <python>/dist-packages/hgext3rd/__init__.py normally, we do not want to
	# conflict.
	find $(CURDIR)/debian/remotefilelog -wholename '*/hgext3rd/__init__.py' -delete
